Supported browsers for Browser Intrusion Prevention in Endpoint Protection

book

Article ID: 155401

calendar_today

Updated On:

Products

Endpoint Protection

Issue/Introduction

You need to know which versions of which browsers are supported with Browser Intrusion Prevention in Symantec Endpoint Protection (SEP) 14 and 12.1.

Resolution

The following table lists the supported browser versions for Browser Intrusion Prevention (BIPS). Support is based on the version of the Client Intrusion Detection System (CIDS) engine that the client uses.

For example, if your Symantec Endpoint Protection client is 14 MP2, but the CIDS engine displays as version 15.2.5.23, the supported browsers are those on the CIDS 15.2.5.23 row.

SEP version* CIDS version Microsoft**
Internet Explorer
Mozilla Firefox*** Google Chrome**** Microsoft Edge/Chromium Edge******
HTTP HTTPS HTTP HTTPS HTTP HTTPS HTTP HTTPS
14.3 RU1 17.2.4.18 All 7 - 11 All 24 - 74 All N/A All N/A
14.3 17.2.0.16 All 7 - 11 All 24 - 74 All N/A All N/A
14.2 RU1 MP1 17.1.0.222 All 7 - 11 All 24 - 74 All N/A All N/A
14.2 RU1 17.0.0.410 All 7 - 11 All 24 - 74 All N/A All N/A
14.2 MP1 16.2.1.22​ All 7 - 11 All 24 - 61 All N/A All N/A
14.2​ 16.2.0.814 All 7 - 11 All 24 - 61 All N/A All N/A
14.0.1, 14.0.1 MP1, 14.0.1 MP2 16.1.4.35 All 7 - 11 All 24 - 57 All 48 - 53 All N/A
12.1.6 MP7, MP8, MP9, MP 10
14 MP1, MP2
15.2.4.5 All 7 - 11 All 41 and later
(45 and later for Firefox ESR)
All N/A All N/A
  15.2.3.14 All 7 - 11 All 41 and later
(45 and later for Firefox ESR)
All N/A All N/A
14 (14 RTM) 15.2.2.22 All 7 - 11 All 41 and later
(45 and later for Firefox ESR)
All N/A All N/A
12.1.6 MP6 (RU6 MP6) 15.0.6.11 All 7 - 11 All 35 and later
(31 and later for Firefox ESR)
All N/A All N/A
12.1.6 MP5 (RU6 MP5) 15.0.5.10 All 7 - 11 All 35 and later
(31 and later for Firefox ESR)
All N/A All N/A
  15.0.5 All 7 - 11 All 35 and later
(31 and later for Firefox ESR)
All N/A All N/A
12.1.6 MP4 (RU6 MP4) 15.0.4.7 All 7 - 11 All 35 and later
(31 and later for Firefox ESR)
All N/A All N/A
  15.0.3.18***** All 7 - 11 All 35 and later
(31 and later for Firefox ESR)
All N/A All N/A
  14.3.0.8 All 7 - 11 All 24 - 41.0 All N/A All N/A
12.1.6 (RU6)
12.1.6 MP1/MP1a (RU6 MP1/MP1a)
12.1.6 MP2 (RU6 MP2)
12.1.6 MP3 (RU6 MP3)
14.2.1.9 All 7 - 11 All 24 - 38 All N/A All N/A
  14.1.2 All 7 - 11 All 24 - 33 All N/A All N/A
12.1.5 (RU5) 12.3.0 All 6 - 11 All 3.6 - 28.0 All N/A All N/A
12.1.4 (RU4) 12.0.0 All 6 - 11 All 3.x - 24.0 All N/A All N/A
12.1.3 (RU3) 11.3.0 All 6 - 10 All 3.x - 16.x All N/A All N/A
12.1.2 (RU2) 11.1.1 All 6 - 10 All 3.x - 16.x All N/A All N/A
12.1.1 (RU1) 10.1.8 All 6 - 9 All 3.x - 10.x All N/A All N/A
12.1 (RTM) 9.8.2 All 6 - 9 All 4.x All N/A All N/A

Any browser version not listed in the above table is unsupported. The browser plug-in may install (for CIDS versions earlier than 14.1) but is not supported.

To determine the CIDS engine version, open the Symantec Endpoint Protection client user interface, and then click Help > Troubleshooting > Versions. Under Engines, look for Intrusion Protection Engine.

Notes:

* Where a SEP version is listed, the CIDS version is the one included with the SEP version at its release.

** The SEP CIDS engine only injects into the 32-bit version of Internet Explorer. The BIPS engine only inspects HTTP traffic in 64-bit Internet Explorer.

*** The SEP 12.1 CIDS engine uses an add-on to inspect HTTPS traffic on Firefox. If the IPS plugin is disabled, you can enable it from the add-ons manager within the browser (for supported versions only). The SEP 14 client does not use a browser add-on/plugin.

**** Google Chrome version 72 no longer allows 3rd party programs to inject into the browser. Starting with Chrome 72, the SEP CIDS engine no longer injects into Chrome and only inspects HTTP traffic.

***** Because of the way this release updated, the CIDS engine version still reads 15.0.2.19. However, if the serial number for the IPS definitions is later than 151215011, you are running 15.0.3.18.

****** Chromium Edge support started in 14.2 RU2 MP1 - CIDS engine version 17.1.0.222